#include "atnd.h"

void version_guide(double v, BOOL comments) {
    fprintf(stderr, "atnd Version %1.3f\n\n", v);

    if(comments) {
        fprintf(stderr, "atnd -a2 -p567 file        # 2 lines after Line-567 \n");
        fprintf(stderr, "atnd -b3 -p567 file        # 3 lines before Line-567 \n");
        fprintf(stderr, "atnd -c4 -p567 file        # 4 lines before Line-567 and 4 lines after Line-567\n");
        fprintf(stderr, "atnd -c4 -p567 -n file     # A number appears at the beginning of each line. \n");
        fprintf(stderr, "atnd -h8 file              # Line-1, Line-2, Line-3, ..., Line-8 \n");
        fprintf(stderr, "atnd -h8 < file            # Line-1, Line-2, Line-3, ..., Line-8 \n");
        fprintf(stderr, "atnd -i90-123 file         # Line-90, Line-91, Line-92, ..., Line-123 \n");
        fprintf(stderr, "atnd -LF -p567 file        # Count lines. Record the max span from LF to LF. \n");
        fprintf(stderr, "atnd -LF -p567 -s, file    # Record the max span from separator to separator. \n");
        fprintf(stderr, "atnd -LF -p567 -s\\x2C file # Record the max span from separator to separator. \n");
        fprintf(stderr, "atnd -p567 file            # Line-567 \n");
        fprintf(stderr, "atnd -p567 -l file         # Show how large the buffer is. \n");
        fprintf(stderr, "atnd -t9 file              # 9 lines before EOF \n");
        fprintf(stderr, "atnd -V                    # version \n");
        fprintf(stderr, "atnd -VC                   # version with comments \n");
        fprintf(stderr, "atnd -z80                  # Use a buffer of 80 bytes. \n");
        fprintf(stderr, "DIR | atnd -LF -=DIR -p9   # Display a label (DIR) instead of files. \n");
    } else {
        fprintf(stderr, "atnd -a2 -p567 file        \n");
        fprintf(stderr, "atnd -b3 -p567 file        \n");
        fprintf(stderr, "atnd -c4 -p567 file        \n");
        fprintf(stderr, "atnd -c4 -p567 -n file     \n");
        fprintf(stderr, "atnd -h8 file              \n");
        fprintf(stderr, "atnd -h8 < file            \n");
        fprintf(stderr, "atnd -i90-123 file         \n");
        fprintf(stderr, "atnd -LF -p567 file        \n");
        fprintf(stderr, "atnd -LF -p567 -s, file    \n");
        fprintf(stderr, "atnd -LF -p567 -s\\x2C file \n");
        fprintf(stderr, "atnd -p567 file            \n");
        fprintf(stderr, "atnd -p567 -l file         \n");
        fprintf(stderr, "atnd -t9 file              \n");
        fprintf(stderr, "atnd -V                    \n");
        fprintf(stderr, "atnd -VC                   \n");
        fprintf(stderr, "atnd -z80                  \n");
        fprintf(stderr, "DIR | atnd -LF -=DIR -p9   \n");
   }

    exit(1);
}
