#include "quad_i_union.h"

int standard_input_temporary_text(char *buffer, int buffer_size) {
    char *p;
    FILE *file = fopen(TEMPORARY_TEXT, "wt");
    int count = 0;

    for(;;) {
        p = fgets(buffer, buffer_size, stdin);
        if(p == NULL) {
            break;
        }

        count += 1;
        fputs(buffer, file);
    }

    fclose(file);
    return count;
}

int count_lines(char *file_name) {
    int count = 0;
    int pattern, size;
    QUAD_I_UNION quad_i_union;
    QUAD_I_UNION *q = &quad_i_union;
    FILE *file = fopen(file_name, "rb");
    if(file == NULL) {
        count = FILE_ERROR_CODE;
    } else {
        do {
            q->i = 0;
            size = fread(q->quad, 1, QUAD_BYTE_BLOCK, file);

            pattern = q->i & BYTE_0;
            if(pattern == LF_0) {
                count += 1;
            }

            pattern = q->i & BYTE_1;
            if(pattern == LF_1) {
                count += 1;
            }

            pattern = q->i & BYTE_2;
            if(pattern == LF_2) {
                count += 1;
            }

            pattern = q->i & BYTE_3;
            if(pattern == LF_3) {
                count += 1;
            }

        } while(size == QUAD_BYTE_BLOCK);

        fclose(file);
    }

    return count;
}

